apt: pkgDebianIndexRealFile Class Reference

apt 2.7.6 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
pkgDebianIndexRealFile Class Reference
Inheritance diagram for pkgDebianIndexRealFile:

## Public Member Functions
virtual std::string | Describe (bool const =false) const APT_OVERRIDE
virtual bool | Exists () const APT_OVERRIDE
virtual unsigned long | Size () const APT_OVERRIDE
virtual std::string | ArchiveURI (std::string const &) const APT_OVERRIDE
| pkgDebianIndexRealFile (std::string const &File, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *const Prog) APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | HasPackages () const =0
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions
virtual std::string | IndexFileName () const APT_OVERRIDE
virtual std::string | GetProgressDescription () const APT_OVERRIDE
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName) APT_OVERRIDE
Protected Member Functions inherited from pkgDebianIndexFile
virtual std::string | GetComponent () const =0
virtual std::string | GetArchitecture () const =0
virtual uint8_t | GetIndexFlags () const =0
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Protected Attributes
std::string | File
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ ArchiveURI()

std::string ArchiveURI | ( | std::string const & |  | ) | const
| virtual

Reimplemented from pkgIndexFile.

## ◆ Describe()

std::string Describe | ( | bool const | = `false` | ) | const
| virtual

Implements pkgIndexFile.

## ◆ Exists()

bool Exists | ( |  | ) | const
| virtual

Implements pkgIndexFile.

## ◆ GetProgressDescription()

std::string GetProgressDescription | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ IndexFileName()

std::string IndexFileName | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ OpenListFile()

bool OpenListFile | ( | FileFd & | Pkg,
|  | std::string const & | FileName
| ) |  |
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ Size()

unsigned long Size | ( |  | ) | const
| virtual

Implements pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc